iOS RN 0.45以上版本所需的第三方编译库(boost等)


  • administrators

    第三方依赖库百度盘链接: http://pan.baidu.com/s/1kVDUAZ9

    RN iOS 0.45以上版本开始需要依赖一些第三方编译库,这些库在国内下载都非常困难(一般的翻墙工具都很难下载)
    未来RN不同版本可能依赖不同版本的第三方编译库,具体所需库和版本请查看ios-install-third-party.sh文件,注意先把左上角的branch切换到对应的版本
    0_1501422473793_branch.png

    然后在底部查看所需的依赖库名字和版本
    0_1501422599981_version.png

    然后去网盘里下载↓

    第三方依赖库百度盘链接: http://pan.baidu.com/s/1kVDUAZ9

    下下来后请放置到

    ~/.rncache

    目录

    比如你可以打开终端,输入

    # 井号表示注释,不要复制井号开头的句子
    
    # 进入~目录,即用户目录
    cd ~   
    
    # 创建目录,如果已经存在就不用创建了
    mkdir .rncache
    
    # 复制文件
    cp ~/Downloads/boost_1_63_0.tar.gz ~/.rncache/ 
    

    全部复制完成后,就可以开始init新的RN项目



  • @晴明 这些三方依赖库必须放置在用户根目录下面吗?我想将应用放置在一个自定义的目录下怎么操作?尝试设置了但是运行程序报错


  • administrators

    @dearMartlet 人家必然是写好了路径,你如果知道人家写在哪你就去哪改,不知道写在哪就自己去研究,既不知道也不研究那就照着别人的要求做,既不知道也不研究还不照着别人的要求做——你咋不上天呢



  • @晴明 额,好吧,您说的对。



  • 你好,我这个加了,但是新建项目,没指定版本 ,还是跑不起来,会报错啊 ,求指教,谢谢!

    0_1503045077786_image.png



  • @zhangfogao 重启电脑 /Mac Os 更新下


登录后回复